'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _mkdirp = require('mkdirp');

var _mkdirp2 = _interopRequireDefault(_mkdirp);

var _crossUnzip = require('cross-unzip');

var _crossUnzip2 = _interopRequireDefault(_crossUnzip);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var extractFFMPEG = function extractFFMPEG(targetPath) {
  return function (ffmpegPath) {
    return new Promise(function (resolve, reject) {
      (0, _mkdirp2.default)(targetPath, function (err) {
        if (err) return reject(err);

        (0, _crossUnzip2.default)(ffmpegPath, targetPath, function (zipError) {
          if (zipError) return reject(zipError);

          resolve(targetPath);
        });
      });
    });
  };
};

exports.default = extractFFMPEG;