'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _downloadFFMPEG = require('./downloadFFMPEG');

var _downloadFFMPEG2 = _interopRequireDefault(_downloadFFMPEG);

var _extractFFMPEG = require('./extractFFMPEG');

var _extractFFMPEG2 = _interopRequireDefault(_extractFFMPEG);

var _moveFFMPEG = require('./moveFFMPEG');

var _moveFFMPEG2 = _interopRequireDefault(_moveFFMPEG);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var afterExtractHook = function afterExtractHook(buildPath, electronVersion, platform, arch, done) {
  var libPath = buildPath;
  if (platform === 'darwin') {
    libPath = _path2.default.resolve(buildPath, 'Electron.app/Contents/Frameworks/Electron Framework.framework/Versions/A/Libraries');
  }

  (0, _downloadFFMPEG2.default)(electronVersion, platform, arch).then((0, _extractFFMPEG2.default)(buildPath)).then((0, _moveFFMPEG2.default)(libPath, platform)).catch(function (err) {
    if (!process.env.TESTING) console.error('Failed to load FFMPEG', err);
    done(new Error(err));
  }).then(function () {
    return done();
  });
};

exports.default = afterExtractHook;