'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _moveFile = require('./moveFile');

var _moveFile2 = _interopRequireDefault(_moveFile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var moveFFMPEG = function moveFFMPEG(targetPath, platform) {
  return function (sourcePath) {
    return new Promise(function (resolve, reject) {
      var fileName = 'libffmpeg.dll';
      if (platform === 'darwin') {
        fileName = 'libffmpeg.dylib';
      } else if (platform === 'linux') {
        fileName = 'libffmpeg.so';
      }

      var libTargetPath = _path2.default.resolve(targetPath, fileName);
      var libPath = _path2.default.resolve(sourcePath, fileName);

      // If we are copying to the source we can stop immediately
      if (libPath === libTargetPath) {
        if (!process.env.TESTING) console.log('Loaded FFMPEG successfully');
        return resolve();
      }

      // If the source doesn't exist we have a problem
      if (!_fs2.default.existsSync(libPath)) return reject('Failed to find FFMPEG library file');

      (0, _moveFile2.default)(libPath, libTargetPath, function (moveErr) {
        if (moveErr) return reject(moveErr);
        if (!process.env.TESTING) console.log('Loaded FFMPEG successfully');
        resolve();
      });
    });
  };
};

exports.default = moveFFMPEG;