'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var moveFile = function moveFile(sourceFile, targetFile, callback) {
  var doneCalled = false;

  // If the target exists we should delete it
  if (_fs2.default.existsSync(targetFile)) {
    _fs2.default.unlinkSync(targetFile);
  }

  var done = function done(err) {
    if (!doneCalled) {
      callback(err);
      doneCalled = true;
    }
  };

  var readStream = _fs2.default.createReadStream(sourceFile);
  readStream.on('error', function (err) {
    done(err);
  });
  var writeStream = _fs2.default.createWriteStream(targetFile);
  writeStream.on('error', function (err) {
    done(err);
  });
  writeStream.on('close', function () {
    // If the copy was successfull we should delete the source file
    if (!doneCalled) {
      _fs2.default.unlinkSync(sourceFile);
    }
    done();
  });
  readStream.pipe(writeStream);
};

exports.default = moveFile;